[arch-commits] Commit in nodejs-lts-argon/repos/community-x86_64 (PKGBUILD PKGBUILD)

Bruno Pagani archange at archlinux.org
Fri Mar 30 13:33:47 UTC 2018


    Date: Friday, March 30, 2018 @ 13:33:46
  Author: archange
Revision: 313551

archrelease: copy trunk to community-x86_64

Added:
  nodejs-lts-argon/repos/community-x86_64/PKGBUILD
    (from rev 313550, nodejs-lts-argon/trunk/PKGBUILD)
Deleted:
  nodejs-lts-argon/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |  124 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 62 insertions(+), 62 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2018-03-30 13:33:32 UTC (rev 313550)
+++ PKGBUILD	2018-03-30 13:33:46 UTC (rev 313551)
@@ -1,62 +0,0 @@
-# Maintainer: Bruno Pagani (a.k.a. ArchangeGabriel) <archange at archlinux.org>
-
-pkgname=nodejs-lts-argon
-pkgver=4.8.7
-pkgrel=3
-pkgdesc='Evented I/O for V8 javascript (LTS release: Argon)'
-arch=('x86_64')
-url='https://nodejs.org/'
-license=('MIT')
-depends=('openssl-1.0' 'zlib' 'icu' 'libuv' 'http-parser')
-makedepends=('python2' 'procps-ng')
-optdepends=('npm: nodejs package manager')
-provides=("nodejs=${pkgver}")
-conflicts=('nodejs')
-source=("${url}/dist/v${pkgver}/node-v${pkgver}.tar.xz")
-# https://nodejs.org/download/release/latest-argon/SHASUMS256.txt.asc
-sha512sums=('25837a31023747723b146c45984a5b2096b61c0aa43cbf45fc8ff50b4bd5079bd0bc9f1dfd3fb076817448dc5537eb93ffb2f345280b7756ba93b67ad757c696')
-#validpgpkeys=('C4F0DFFF4E8C1A8236409D08E73BC641CC11F4C8') # Myles Borins <mylesborins at google.com>
-
-prepare() {
-  cd node-v${pkgver}
-
-  msg 'Fixing for python2 name'
-  find -type f -exec sed \
-    -e 's_^#!/usr/bin/env python$_&2_' \
-    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
-    -e 's_^#!/usr/bin/python$_&2_' \
-    -e 's_^\( *exec \+\)python\( \+.*\)$_\1python2\2_'\
-    -e 's_^\(.*\)python\( \+-c \+.*\)$_\1python2\2_'\
-    -e "s_'python'_'python2'_" -i {} \;
-  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
-}
-
-build() {
-  cd node-v${pkgver}
-  export PKG_CONFIG_PATH=/usr/lib/openssl-1.0/pkgconfig
-  export PYTHON=python2
-  ./configure \
-    --prefix=/usr \
-    --with-intl=system-icu \
-    --without-npm \
-    --shared-openssl \
-    --shared-zlib \
-    --shared-libuv \
-    --shared-http-parser
-
-  make
-}
-
-check() {
-  cd node-v${pkgver}
-  # At least two expected failures because of OpenSSL 1.1 vs 1.0
-  make test || warning "Tests failed"
-}
-
-package() {
-  cd node-v${pkgver}
-
-  make DESTDIR="${pkgdir}" install
-
-  install -Dm644 LICENSE "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE
-}

Copied: nodejs-lts-argon/repos/community-x86_64/PKGBUILD (from rev 313550, nodejs-lts-argon/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2018-03-30 13:33:46 UTC (rev 313551)
@@ -0,0 +1,62 @@
+# Maintainer: Bruno Pagani (a.k.a. ArchangeGabriel) <archange at archlinux.org>
+
+pkgname=nodejs-lts-argon
+pkgver=4.9.1
+pkgrel=1
+pkgdesc='Evented I/O for V8 javascript (LTS release: Argon)'
+arch=('x86_64')
+url='https://nodejs.org/'
+license=('MIT')
+depends=('openssl-1.0' 'zlib' 'icu' 'libuv' 'http-parser')
+makedepends=('python2' 'procps-ng')
+optdepends=('npm: nodejs package manager')
+provides=("nodejs=${pkgver}")
+conflicts=('nodejs')
+source=("${url}/dist/v${pkgver}/node-v${pkgver}.tar.xz")
+# https://nodejs.org/download/release/latest-argon/SHASUMS256.txt.asc
+sha256sums=('d7d1232f948391699c6e98780ac90bdf5889902d639bad41561ac29f03dad401')
+#validpgpkeys=('C4F0DFFF4E8C1A8236409D08E73BC641CC11F4C8') # Myles Borins <mylesborins at google.com>
+
+prepare() {
+  cd node-v${pkgver}
+
+  msg 'Fixing for python2 name'
+  find -type f -exec sed \
+    -e 's_^#!/usr/bin/env python$_&2_' \
+    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+    -e 's_^#!/usr/bin/python$_&2_' \
+    -e 's_^\( *exec \+\)python\( \+.*\)$_\1python2\2_'\
+    -e 's_^\(.*\)python\( \+-c \+.*\)$_\1python2\2_'\
+    -e "s_'python'_'python2'_" -i {} \;
+  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+}
+
+build() {
+  cd node-v${pkgver}
+  export PKG_CONFIG_PATH=/usr/lib/openssl-1.0/pkgconfig
+  export PYTHON=python2
+  ./configure \
+    --prefix=/usr \
+    --with-intl=system-icu \
+    --without-npm \
+    --shared-openssl \
+    --shared-zlib \
+    --shared-libuv \
+    --shared-http-parser
+
+  make
+}
+
+check() {
+  cd node-v${pkgver}
+  # At least two expected failures because of OpenSSL 1.1 vs 1.0
+  make test || warning "Tests failed"
+}
+
+package() {
+  cd node-v${pkgver}
+
+  make DESTDIR="${pkgdir}" install
+
+  install -Dm644 LICENSE "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE
+}



More information about the arch-commits mailing list